## 概要
<!-- このPRで何を変更したか、なぜ変更したかを簡潔に説明してください -->

## 変更内容
<!-- 主な変更点をリストアップしてください -->
-
-
-

## 変更の種類
<!-- 該当するものにチェックを入れてください -->
- [ ] 🐛 バグ修正 (Bug fix)
- [ ] ✨ 新機能 (New feature)
- [ ] 💥 破壊的変更 (Breaking change)
- [ ] 📝 ドキュメント (Documentation)
- [ ] ♻️ リファクタリング (Refactoring)
- [ ] 🎨 スタイル修正 (Style)
- [ ] 🚀 パフォーマンス改善 (Performance)
- [ ] ✅ テスト (Test)
- [ ] 🔧 設定変更 (Configuration)
- [ ] ⬆️ 依存関係更新 (Dependencies)

## チェックリスト
<!-- PRを提出する前に、以下の項目を確認してください -->
### コード品質
- [ ] コードが正しくフォーマットされている (`uv run ruff format .`)
- [ ] リンターのチェックをパスしている (`uv run ruff check .`)
- [ ] 型チェックをパスしている (`uv run mypy src/ --strict`)
- [ ] すべてのテストがパスしている (`uv run pytest`)
- [ ] pre-commitフックが正常に動作する (`uv run pre-commit run --all-files`)

### 開発・ドキュメント
- [ ] 新機能/修正に対するテストを追加した
- [ ] ドキュメントを更新した（必要な場合）
- [ ] CLAUDE.mdに新しいパターンを追加した（必要な場合）
- [ ] CHANGELOG.mdを更新した（該当する場合）

### Claude Code協働
- [ ] Claude Codeとの協働で作成された場合、適切なコミットメッセージを使用
- [ ] 新しいコーディングパターンがCLAUDE.mdに反映されている
- [ ] 複雑な実装に対して適切なコメントを追加した

## テスト
<!-- どのようにテストしたか、どのようなテストケースを追加したかを説明してください -->

## スクリーンショット
<!-- UIの変更がある場合は、前後のスクリーンショットを追加してください -->

## 関連Issue
<!-- 関連するIssueがある場合は、リンクしてください -->
Closes #

## その他
<!-- レビュアーに伝えたいことがあれば記載してください -->
