"""
MkDocs Mermaid to Image Plugin - テストパッケージ初期化ファイル

このファイルは、プラグインのテストパッケージを初期化します。
主な目的：
- testsディレクトリをPythonパッケージとして認識させる
- テスト用の共通設定や定数を定義（必要に応じて）
- テストで使用する共通機能の提供（必要に応じて）

Python学習者へのヒント：
- __init__.pyファイルがあることで、ディレクトリがPythonパッケージとして扱われます
- テストパッケージでは、通常はシンプルな内容になります
- 各テストファイル（test_*.py）で実際のテストケースを定義します
- pytestやunittestフレームワークを使用してテストを実行します

テスト構造：
- test_config.py: 設定管理機能のテスト
- test_exceptions.py: カスタム例外のテスト（該当ファイルがある場合）
- test_utils.py: ユーティリティ関数のテスト
- test_processor.py: Mermaid処理ロジックのテスト
- test_plugin.py: プラグインメインクラスのテスト
"""
